Description

It would useful to be create rectangles, ovals and diamonds centered on points. This tool could be added to Processing.

Back in 2012 there was a plugin that performed this operation called "Rectangles, ovals and diamonds" that's no longer maintained. See:

https://archeomatic.wordpress.com/2012/04/18/qgis-dessin-automatique-avec-le-plug-in-rectangles-ovals-diamonds/

I'm adding a backup of the plugin kept by Andre Joost from 2012 (see 

http://lists.osgeo.org/pipermail/qgis-user/2014-November/029679.html)

Associated revisions

Revision b7a4e206 - 2016-04-13 11:33 AM - Alexander Bruy

[processing] add Rectangles, Ovals, Diamonds algorithm (fix #11575)

This is direct port of abandoned "Rectangles, Ovals and diamonds" plugin.

There are two algorithms: one uses fixed values and second — variable

values from attribute table. Test for fixed distance version included.

History

#1 - 2014-11-05 09:43 AM - Filipe Dias

- File rectovaldiams.zip added

Backup copy kept and provided by Andre Joost (thanks)

#2 - 2014-11-05 09:45 AM - Giovanni Manghi

- Status changed from Open to Feedback

a fork of that plugin has been published today

https://issues.qgis.org/projects/caddigitize/

#3 - 2014-11-05 10:32 AM - Andre Joost

Note that "Rectangles, Ovals and Diamonds" plugin was/is not the same as "Rectangles, Ovals Digitizing" plugin. They just shared the same author.
The second one is still available for QGIS 2, the first one was available only for QGIS 1.x

The requested first one does buffering around a point layer in form of rectangles, ovals or diamonds based on attribute field values. The second one

creates the shapes from 3 or more points.

#4 - 2014-11-05 11:09 AM - Loïc BARTOLETTI

Hi,

I did the fork (CADDigitize) of this plugin and I think that your project is the same that my feature request #11556.

If you want, you can help me to create it.

REgards

#5 - 2014-11-05 12:45 PM - Filipe Dias

"Rectangles, Ovals and Diamonds" plugin allowed the creation of rectangles, ovals and diamonds without digitizing. The user would use a point layer as

input and then these geometric features would be created using data from the attribute table

Giovanni, please change the title of this feature request to: "Create rectangles, ovals and diamonds from points (not by digitizing)" so we can avoid

confusion.

#6 - 2014-11-05 01:37 PM - John Tull

- Subject changed from Create rectangles, ovals and diamonds from points to Create rectangles, ovals and diamonds from points (not by digitizing)

Update title (anyone with update access can do this, just click "more" under "Change properties".

#7 - 2016-04-13 02:32 AM - Alexander Bruy

- Status changed from Feedback to Closed

Fixed in changeset commit:"b7a4e20627b82a6334dc340fe5d728c1d2fa776a".

Files

rectovaldiams.zip 12.4 KB 2014-11-05 Filipe Dias
